### Function

# Gimp ConfigInterface serialize_value

#### Declaration [src]

    gboolean
    gimp_config_serialize_value (
      const GValue* value,
      GString* str,
      gboolean escaped
    )

#### Description [src]

This utility function appends a string representation of `GValue` to `str`.

Available since: | 2.4

#### Parameters

`value` | `GValue`
| A `GValue`.
| The data is owned by the caller of the function.
`str` | `GString`
| A `GString`.
| The data is owned by the caller of the function.
`escaped` | `gboolean`
| Whether to escape string values.

#### Return value

Returns: | `gboolean`
| `TRUE` if serialization succeeded, `FALSE` otherwise.